<?php
/**
 * @package WordPress
 * @subpackage Toolbox
 */
?><!DOCTYPE html>
<!--[if lt IE 7 ]> <html class="no-js ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]>    <html class="no-js ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]>    <html class="no-js ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'toolbox' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />

<link href='http://fonts.googleapis.com/css?family=Arvo:bold' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Nobile:bold' rel='stylesheet' type='text/css'>

<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/libs/html5.js" type="text/javascript"></script>
<![endif]-->

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.js"></script>
<script>window.jQuery || document.write('<script src="<?php echo get_template_directory_uri(); ?>/js/libs/jquery-1.5.1.min.js">\x3C/script>')</script>

<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/libs/PIE.js" type="text/javascript"></script>
<![endif]-->

<script src="<?php echo get_template_directory_uri(); ?>/js/script.js" type="text/javascript"></script>

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	
	<div id="sticky-footer-wrap">
	<div id="sticky-footer-main" class="hfeed">
	
	<?php $options = get_option('fll_theme_options'); ?>
	
	<aside id="site-hatter" class="clearfix layout">
		<div class="container">
			<?php if ($options['fll_primary_elements'] == 1): ?>
				<div class="tucked">
					<div class="first s grid4">
						<ul>
							<li><a target="_blank" href="http://firstlegoleague.org">Visit the <strong>FLL Global Website</strong></a></li>
							<li><a target="_blank" href="http://firstlegoleague.org/about-us/twocol.aspx?id=258">Learn About <strong>FLL Core Values</strong></a></li>
							<li><a target="_blank" href="http://firstlegoleague.org/about-us/twocol.aspx?id=304">Find Out <strong>How to Start a Team</strong></a></li>
						</ul>
					</div>
					<div class="s grid4">
						<ul>
							<li><a target="_blank" href="http://firstlegoleague.org/currentchallenge">See the <strong>Current Challenge</strong></a></li>
							<li><a target="_blank" href="http://firstlegoleague.org/worldfestival">Find Out About <strong>World Festival</strong></a></li>
							<li><a target="_blank" href="http://firstlegoleague.org/marketingtools">Check Out Our <strong>Marketing Tools</strong></a></li>
						</ul>
					</div>
					<div class="s grid4">
						<ul>
							<li><a target="_blank" href="http://twitter.com/firstlegoleague">Follow <strong>@firstlegoleague on Twitter</strong></a></li>
							<li><a target="_blank" href="http://fllblog.wordpress.com/">Read the <strong>Official FLL Blog</strong></a></li>
							<li><a target="_blank" href="http://forums.usfirst.org/forumdisplay.php?f=24">Post on the <strong>FLL Forum</strong></a></li>
							<li><a target="_blank" href="http://youtube.com/fllglobal">Watch FLLGlobal's <strong>Videos on YouTube</strong></a></li>
						</ul>
					</div>
				</div>
				<a id="pull-tab" class="css3" href="#">More FLL Links &uarr;</a>
			<?php endif; ?>
		</div>
	</aside>
	
	<?php
		$logo_class = $options['fll_primary_elements'] !== 1 ? ' no-logo' : '';
		$pin_class = empty($options['fll_team_number']) ? ' no-pin' : '';
	?>
	
	<header id="site-header" role="banner" class="clearfix<?php echo $logo_class . $pin_class; ?>">
		<div class="prop container clearfix">
			<a target="_blank" id="official-fll-link" href="http://firstlegoleague.org"><span class="visuallyhidden">FIRST LEGO League's Official Website</span></a>
			
			<a id="team-pin" class="css3" href="<?php echo home_url( '/' ); ?>">
				<span class="pin-top">FLL Team #</span>
				<span class="pin-mid"><?php echo $options['fll_team_number']; ?></span>
				<span class="pin-bot"><?php echo $options['fll_team_city']; ?>, <?php echo $options['fll_team_state']; ?></span>
			</a>

			<div id="team-photo-underlap" class="css3"><img src="<?php echo get_template_directory_uri(); ?>/images/nxt-placeholder.png" alt="Nxt Placeholder" /></div>
			<div id="team-photo" class="css3"><div class="placeholder"></div></div>
			<div id="share">
				<?php
					$num_social_links = 0;
					$social_links = array(
						'twitter' => array('lang' => 'Follow us on Twitter'),
						'facebook' => array('lang' => 'Like us on Facebook'),
						'flickr' => array('lang' => 'See us on Flickr'),
						'youtube' => array('lang' => 'Watch us on YouTube')
					);
					foreach(array_keys($social_links) as $service) {
						if (!empty($options['fll_team_social_' . $service])) {
							$num_social_links++;
							$social_links[$service]['link'] = $options['fll_team_social_' . $service];
						}
					}
				?>
				<h3<?php echo $num_social_links == 4 ? ' style="display:none;"' : ''; ?>>Stay in Touch</h3>
				<ul>
					<li class="rss"><a href="<?php bloginfo('rss2_url'); ?>">Subscribe with RSS</a></li>
					<?php
						foreach($social_links as $service => $values) {
							echo isset($values['link']) ? '<li class="' . $service . '"><a href="' . $values['link'] . '">' . $values['lang'] . '</a></li>' : '';
						}
					?>
				</ul>
			</div>
		</div>
		<?php if (get_bloginfo( 'description', 'display' )): ?>
		<div class="container">
			<h2 class="site-description"><a href="<?php echo home_url( '/' ); ?>"><?php bloginfo( 'description' ); ?></a></h2>
		</div>
		<?php endif; ?>
		<nav class="container">
			<?php
				wp_nav_menu( array(
					'theme_location' => 'primary',
					'menu_class' => 'clearfix',
					'link_before' => '<span>',
					'link_after' => '</span>'
					)
				);
			?>
		</nav>
	</header>

	<div id="main">
		<div class="container clearfix">
			<div class="colwrap clearfix">