<?php
/**
 * @package WordPress
 * @subpackage Toolbox
 */
?>
		<div id="sidebar">
			
			<div id="secondary" class="widget-area" role="complementary">
				
				<?php if ( ! dynamic_sidebar( 'sidebar-1' ) ) : ?>

					<aside id="search" class="widget widget_search">
						<?php get_search_form(); ?>
					</aside>

					<aside id="archives" class="widget">
						<h1 class="widget-title"><?php _e( 'Archives', 'toolbox' ); ?></h1>
						<ul>
							<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
						</ul>
					</aside>

				<?php endif; // end sidebar widget area ?>
				
				<?php
					// Get the theme options
					$options = get_option('fll_theme_options');
					
					// If there are no options set, or if they are set to 1 (checked), spin up the RSS stuff
					if (!isset($options['fll_sidebar_twitter']) || !isset($options['fll_sidebar_youtube']) || $options['fll_sidebar_twitter'] == 1 || $options['fll_sidebar_youtube'] == 1) {
						include_once(ABSPATH.WPINC.'/feed.php');
						// If null or 1, load the Twitter feed
						if (!isset($options['fll_sidebar_twitter']) || $options['fll_sidebar_twitter'] == 1) {
							$fll_twitter_feed = fetch_feed('http://api.twitter.com/1/statuses/user_timeline.rss?screen_name=firstlegoleague&count=3');
							$fll_twitter_maxitems = $fll_twitter_feed->get_item_quantity(3);
							$fll_twitter_feed = $fll_twitter_feed->get_items(0, $fll_twitter_maxitems);
						}
						// If null or 1, load the YouTube feed
						if (!isset($options['fll_sidebar_youtube']) || $options['fll_sidebar_youtube'] == 1) {
							$fll_youtube_feed = fetch_feed('http://gdata.youtube.com/feeds/api/playlists/73B4E351C0A58EA5?v=2');
							$fll_youtube_maxitems = $fll_youtube_feed->get_item_quantity(3);
							$fll_youtube_feed = $fll_youtube_feed->get_items(0, $fll_youtube_maxitems);
						}
					}
				?>

				<?php if ($fll_twitter_maxitems > 0) : ?>
					<aside class="twitter_fll">
						<h1><a href="http://twitter.com/user/FLLGlobal">@firstlegoleague on Twitter</a></h1>
						<ul>
							<?php foreach ($fll_twitter_feed as $item) : ?>
								<li class="css3"><?php echo get_linked_tweet($item); ?></li>
							<?php endforeach; ?>
						</ul>
					</aside>
				<?php endif; ?>

				<?php if ($fll_youtube_maxitems > 0) : ?>
					<aside class="youtube_fll">
						<h1><a href="http://youtube.com/user/FLLGlobal">FLLGlobal on YouTube</a></h1>
						<ul>
							<?php foreach ($fll_youtube_feed as $item) : ?>
								<li class="css3"><iframe title="YouTube video player" width="246" height="215" src="http://www.youtube.com/embed/<?php preg_match("/(?<=\?v=)([A-Za-z0-9-_]+)/", $item->get_permalink(), $matches); echo $matches[0]; ?>?rel=0" frameborder="0" allowfullscreen></iframe></li>
							<?php endforeach; ?>
						</ul>
					</aside>
				<?php endif; ?>
				
			</div><!-- #secondary .widget-area -->

			<?php if ( is_active_sidebar( 'sidebar-2' ) ) : ?>
			<div id="tertiary" class="widget-area" role="complementary">
				<?php dynamic_sidebar( 'sidebar-2' ); ?>
			</div><!-- #tertiary .widget-area -->
			<?php endif; ?>
			
		</div><!-- .grid4 -->